Assemble a request

- « Yaf_Route_Interface

- Yaf_Route_Interface::route »

- PHP Manual
- Yaf_Route_Interface
- Assemble a request

# Yaf_Route_Interface::assemble

(Yaf >=2.3.0)

Yaf_Route_Interface::assemble — Assemble a request

### Description

abstract public Yaf_Route_Interface::assemble(array `$info`, array `$query` = ?): string

this method returns a url according to the argument info, and append query strings to the url according to the argument query.

a route should implement this method according to its own route rules, and do a reverse progress.

### Parameters

`info`

`query`

### Return Values